# -*- encoding: utf-8 -*-
import numpy as np



def Transform( M, j ):
    #La transformada que se hace es una transformada de rotación sobre el eje z, esto para crear un nuevo sitema de referencia en mi minucia
    x1,Count,var=M.shape
    XRef=M[0,j,0]
    YRef=M[0,j,1]
    ThRef=M[0,j,3]
    T=np.zeros((Count,4))
    R=[[np.cos(ThRef),np.sin(ThRef),0],
      [-np.sin(ThRef), np.cos(ThRef), 0],
       [0, 0, 1]]  #Transformation Matrix
    R = np.asarray(R)
    for i in range(0, Count-1, 1):
        B=[[M[0,i,0]-XRef],
           [M[0,i,1]-YRef],
           [M[0,i,3]-ThRef]]
        B=np.asarray(B)
        temp=np.dot(R,B)
        T[i, 0] = temp[0]
        T[i, 1] = temp[1]
        T[i, 2] = temp[2]
        T[i, 3] = M[0,i, 3]
    return T