# -*- encoding: utf-8 -*-
import numpy as np


def correccion(PosT, PosB, blksize,critB, critT):
    filas, columnas = PosT.shape
    for i in range(0, int(np.fix( filas /blksize ) *blksize ) +blksize, blksize):
        for j in range(0, int(np.fix( columnas /blksize ) *blksize ) +blksize, blksize):
            if ((i + blksize) < filas) & ((j + blksize) < columnas):  # revisa bloque por bloque calculando el número de minucias existentes, si ese número es mayor a mi criterio
            #las elimino
                irange = range(i, i + blksize, 1)
                jrange = range(j, j + blksize, 1)
                x = PosT[irange, :][:, jrange]
                y = PosB[irange, :][:, jrange]
                x1 = np.nonzero(x)
                y1 = np.nonzero(y)
                if x1[0].size > critT:
                    PosT[i:i+blksize, j:j+blksize] = 0
                if y1[0].size > critB:
                    PosB[i:i+blksize, j:j+blksize] = 0
            # si el bloque pasa las filas y las columnas tomamos la posición final menos blksize
            if ((i + blksize) > filas) and ((j + blksize) > columnas):
                irange = range(filas - blksize, filas, 1)
                jrange = range(columnas - blksize, columnas, 1)
                x = PosT[irange, :][:, jrange]
                y = PosB[irange, :][:, jrange]
                x1=np.nonzero(x)
                y1=np.nonzero(y)
                if x1[0].size > critT:
                    PosT[filas-blksize:filas, columnas:columnas - blksize] = 0
                if y1[0].size > critB:
                    PosB[filas-blksize:filas, columnas:columnas - blksize] = 0
            # si el bloque pasa las filas, tomamos la posicón final del bloque en filas
            if ((i + blksize) > filas) and ((j + blksize) < columnas):
                irange = range(filas - blksize, filas, 1)
                jrange = range(j, j + blksize, 1)
                x = PosT[irange, :][:, jrange]
                y = PosB[irange, :][:, jrange]
                x1 = np.nonzero(x)
                y1 = np.nonzero(y)
                if x1[0].size > critT:
                    PosT[filas-blksize:filas, j:j + blksize] = 0
                if y1[0].size > critB:
                    PosB[filas-blksize:filas, j:j + blksize] = 0
            # si el bloque pasa las filas, tomamos la posicón final del bloque en columnas
            if ((j + blksize) > columnas) and ((i + blksize) < filas):
                irange = range(i, i + blksize, 1)
                jrange = range(columnas - blksize, columnas, 1)
                x = PosT[irange, :][:, jrange]
                y = PosB[irange, :][:, jrange]
                x1 = np.nonzero(x)
                y1 = np.nonzero(y)
                if x1[0].size > critT:
                    PosT[i:i + blksize, columnas:columnas - blksize] = 0
                if y1[0].size > critB:
                    PosB[i:i + blksize, columnas:columnas - blksize] = 0
    return PosT, PosB