# -*- encoding: utf-8 -*-

import numpy as np


def Score(T1, T2):
    Count1, var1=T1.shape
    Count2, var2=T2.shape
    n=0
    T=10  #Threshold for distance
    TT=10#Threshold for theta
    for i in range(0,Count1-1, 1):
        Found=0
        j=0
        while (Found==0) and (j < Count2):
            dx=(T1[i,1]-T2[j,1])
            dy=(T1[i,2]-T2[j,2])
            d=np.sqrt(dx**2+dy**2)  #Euclidean Distance between T1(i) & T2(i)
            if d<T: #Si la distancia cumple con mi criterio
                DTheta=abs(T1[i,3]-T2[j,3])*180/np.pi
                DTheta=min(DTheta,360-DTheta)
                if DTheta<TT: # y si el angulo de la minucia cumple con mi criterio
                    n=n+1        #Increase Score
                    Found=1
            j=j+1
    sm = np.sqrt(float(n)*float(n) / (float(Count1) * float(Count2)))  # similarity Index
    #el indice de similitud es la raiz cuadrada del numero de simulitudes encontradas al cuadrado, sobre la multiplicacion del numero de minucias de cada huella
    return sm
