# -*- encoding: utf-8 -*-
import numpy as np

def Transform2( T, alpha ):
    #Transformada de rotación con respecto a un punto.
    Count, var=T.shape
    Tnew=np.zeros((Count,4))
    R=[[np.cos(alpha), np.sin(alpha),0, 0],
      [-np.sin(alpha), np.cos(alpha), 0, 0],
      [0, 0, 1, 0],
      [0, 0, 0, 1]]            # Transformation Matrix
    R = np.asarray(R)
    for i in range(0, Count-1,1):
        B=T[i,:]-[0, 0, alpha, 0]
        B = np.asarray(B)
        Tnew[i,:]=np.dot(R,np.transpose(B))
    return Tnew