# -*- encoding: utf-8 -*-
import FP
import Match
from PIL import Image
import numpy as np

huellas1=["alda2.png","rata1.png","julian2.png","A1_2.png","A2_1.png","A3_1.png","A4_1.png","A6_1.png","izqmen1.png","A8_1.png","A9_1.png","A10_1.png","deran1.png","dercor1.png","mita1.png","dermen1.png","pito1.png","tianegra1.png","tiabetty1.png","tiagladys1.png","dergor1.png","izqan2.png","izqcor1.png","izqgor1.png","izqind1.png",]
huellas2=["alda3.png","rataingreso.png","julianingreso.png","A1_3.png","A2_2.png","A3_2.png","A4_2.png","izqmen2.png","A7_2.png","A8_2.png","A9_2.png","A10_2.png","deran3.png","dercor2.png","mita2.png","dermen2.png","pito2.png","tianegra2.png","tiabetty2.png","tiagladys2.png","dergor2.png","izqan3.png","izqcor2.png","izqgor2.png","izqind2.png",]

porc=np.zeros((25,25))

for i in range(22,25,1):
    for j in range(0,25,1):
        print i
        print j
        im1=Image.open(huellas1[i],'r')#Leo la primera imagen
        im1=im1.convert('L')#La convierto a escala de grises
        im1=np.asarray(im1.getdata(),dtype=np.uint8).reshape((im1.size[1],im1.size[0]))#convierto el objeto imagen en una matrix de pixeles
        Matrix1=FP.extraerMinucias(im1)#Extraigo la matriz de minucias de la primera imagen


        im2=Image.open(huellas2[j],'r')#Leo la primera imagen
        im2=im2.convert('L')#La convierto a escala de grises
        im2=np.asarray(im2.getdata(),dtype=np.uint8).reshape((im2.size[1],im2.size[0]))#convierto el objeto imagen en una matrix de pixeles
        Matrix2=FP.extraerMinucias(im2)#Extraigo la matriz de minucias de la primera imagen

        S = Match.matching(Matrix1, Matrix2)
        print S
        porc[i,j]=S
np.savetxt('porcentajes', porc, fmt='%.5e')
